Get PDF export history
Retrieves completed PDF export jobs with download links.
AuthorizationBearer <token>
LEIA API key passed as Bearer token (recommended). Keys start with leia_sk_.
In: header
Path Parameters
courseId*string
The course ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/courses/string/pdf-exports"[
{
"id": "string",
"status": "COMPLETED",
"lessonIds": [
"string"
],
"result": {
"downloadUrl": "http://example.com",
"lessonCount": 0,
"downloadFileName": "string",
"downloadKind": "pdf"
},
"createdAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z"
}
]{
"error": {
"code": "UNAUTHORIZED",
"message": "Valid LEIA API key required"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "API key service user must be a CREATOR user"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}